# /packages/ticket-tracker/www/admin/install/index.tcl

ad_page_contract {
    Admin will be redirected to this page to finish the installation

    @author Phong Nguyen (phong@arsdigita.com)
    @author Tony Tseng (tony@arsdigita.com)
    @creation-date 2001-01-04
    @cvs-id $Id: index.tcl,v 1.1 2001/04/20 20:51:25 donb Exp $
} -properties {
    context_bar:onevalue
    gc_mounted_p:onevalue
    workflow_mounted_p:onevalue
    has_error_p:onevalue
}

set context_bar {}

# check to see if general comments has been mounted
db_1row check_gc {
    select count(*) as gc_mounted_p
      from site_nodes sn,
           apm_packages ap
     where ap.package_key = 'general-comments'
       and sn.object_id = ap.package_id
}

# check to see if workflow has been mounted
db_1row check_workflow {
    select count(*) as workflow_mounted_p
      from site_nodes sn,
           apm_packages ap
     where ap.package_key = 'acs-workflow'
       and sn.object_id = ap.package_id
}

# check to see if SystemUrl still has its default value
if { ![db_0or1row dubious_sys_url {
      select apv.attr_value as dubious_url
          from apm_parameter_values apv,
               apm_parameters ap
         where ap.package_key = 'acs-kernel'
           and ap.parameter_name = 'SystemURL'
           and ap.parameter_id = apv.parameter_id
    and ap.default_value = apv.attr_value
}] } {
    set dubious_url ""
}

if { !$gc_mounted_p || !$workflow_mounted_p || ![empty_string_p $dubious_url] } {
    set has_error_p 1
} else {
    set has_error_p 0
    ttracker_install
}

ad_return_template
    
